Package org.apache.lucene.analysis.miscellaneous

## Class LimitTokenOffsetFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.LimitTokenOffsetFilterFactory

-     public class LimitTokenOffsetFilterFactory
      extends TokenFilterFactory

  Factory for `LimitTokenOffsetFilter`.

       <fieldType name="text_limit_pos" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.LimitTokenOffsetFilter" maxStartOffset="100000" consumeAllTokens="false" />
         </analyzer>
       </fieldType>

  The `consumeAllTokens` property is optional and defaults to `false`.

  Since:
    5.2.0
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "limitTokenOffset"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONSUME_ALL_TOKENS_KEY` |
    `static String` | `MAX_START_OFFSET` |
    `static String` | `NAME` | SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitTokenOffsetFilterFactory()` | Default ctor for compatibility with SPI
    `LimitTokenOffsetFilterFactory​(Map<String,​String> args)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TokenStream` | `create​(TokenStream input)` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### MAX_START_OFFSET

          public static final String MAX_START_OFFSET

      See Also:
        Constant Field Values

    - #### CONSUME_ALL_TOKENS_KEY

          public static final String CONSUME_ALL_TOKENS_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LimitTokenOffsetFilterFactory

          public LimitTokenOffsetFilterFactory​(Map<String,​String> args)

    - #### LimitTokenOffsetFilterFactory

          public LimitTokenOffsetFilterFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### create

          public TokenStream create​(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`